
//Importing geopath and geoGraticule from d3
import { geoPath, geoGraticule } from 'd3';

//Assign geoAlbersUsaTerritories which includes all the states or territories within the country
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);
const graticule = geoGraticule();
//Use marks constant to assign land and interiors with all the features
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
